Connections
/connections
List connections
Authorization
apiKey X-API-Key<token>
API key provided in dashboard
In: header
Query Parameters
tenantId?string
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidappId?string
status?string
Value in
"active" | "inactive"isErrorState?boolean
currentSyncStatus?string
Value in
"queued" | "started" | "completed" | "failed" | "canceled"search?string
limit?number
Default
100Range
1 <= value <= 250page?number
Default
1Range
1 <= valueResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.edge.vrplatform.app/connections"{
"data": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"status": "active",
"uniqueRef": "string",
"app": {
"id": "string",
"type": "paymentGateway",
"name": "string",
"icon": "string",
"importers": [
"string"
],
"extractors": [
"string"
]
},
"createdAt": "string",
"updatedAt": "string",
"isErrorState": true,
"currentSync": {
"status": "queued",
"createdAt": "string",
"updatedAt": "string",
"message": "string"
},
"enabledFlows": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"title": "string",
"isPublic": true,
"type": "push"
}
]
}
],
"pagination": {
"limit": 100,
"page": 1,
"total": 0,
"totalPage": 0,
"nextPage": 0
}
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}